<?php
function bluagent_config_page() {
  if (function_exists('add_options_page')) {
    add_options_page('Bluagent Menu Title','Bluagent Option', 8, basename(__FILE__), 'bluagent_config');
  }
} 	
function bluagent_config() {
	$blocked = get_option("bluagent_counter");
	$req_url = $_SERVER["REQUEST_URI"];
	// Update Advanded Option
	$url = plugins_url("bluagent-block-user-agent");
	//$url = plugins_url("trunk");
	echo("<link rel='stylesheet' type='text/css' href='".$url."/style/admin_panel.css'/>");
	if(isset($_POST['activateAdvanced'])) {
	$words = strtolower($_POST['words']);
	$escape_words = mysql_real_escape_string($words); // Mysql controll
	update_option("bluagent", $escape_words);
	}
	// Update Sample Option
	if(isset($_POST['activateSample'])) {
	foreach ($_POST['sample'] as $value) $words = $words . strtolower($value) .",";
	$escape_words = mysql_real_escape_string($words); // Mysql controll
	update_option("bluagent", $escape_words);
	}
	$option = get_option('bluagent'); ?>
		<h1><img src="<?php echo($url . '/img/panel_icon.png'); ?>" alt="panel_icon"/> Bluagent options</h1>
		<h2>All blocked users are redirected <a href="<?php echo($url . '/stop.php'); ?>">here</a> (If you want replace the page)!</h2>
		<?php if(!isset($_GET['advanced'])) { ?>
		<div id="sample">
			<h3>Sample options</h3>
			<?php
			/*** Checked controll ***/
			
			$selected = array("mac","windows","linux","android","msie");
			$options = explode(",",$option);
			//print_r($options);
			$tot_opt = count($options);
			$ind_opt = 0;
			$ind_sel = 0;
			if($selected[$ind_sel] == $options[$ind_opt]) { 
				$selected[0] = 'checked="checked"';
				$ind_opt = 5;
			}
			$ind_sel++;
			for($i=0; $i <= $tot_opt+1; $i++) {
				if($selected[$ind_sel] == $options[$ind_opt]) {
					$selected[$ind_sel] = 'checked="checked"';
					$ind_opt++;
				}
				$ind_sel++;
			}
			/*** Fine checked controll ***/
			?>
			<p>Select who you want to block!</p>
			<form action="" method="post" name="sampleOption">
				<h4>Operating System (Windows, Linux...):</h4>
				<p><img src="<?php echo($url . '/img/apple_logo.png'); ?>" alt="apple_logo"/> ALL products Apple 
				<input type="checkbox" name="sample[]" value="mac,iphone,ipad,ipod,macintosh" <?php echo($selected[0]); ?>></p>
				<p><img src="<?php echo($url . '/img/win_logo.png'); ?>" alt="win_logo"/> Windows
				<input type="checkbox" name="sample[]" value="Windows" <?php echo($selected[1]); ?>></p>
				<p><img src="<?php echo($url . '/img/tux.png'); ?>" alt="tux"/> Linux AND Linux Based (Example: Android, Ubuntu...)
				<input type="checkbox" name="sample[]" value="Linux" <?php echo($selected[2]); ?>></p>
				<p><img src="<?php echo($url . '/img/android_logo.png'); ?>" alt="android_logo"/> Android 
				<input type="checkbox" name="sample[]" value="Android" <?php echo($selected[3]); ?>></p><br/>
				<h4>Browser Web:</h4>
				<p><img src="<?php echo($url . '/img/ie.png'); ?>" alt="ie_logo"/> Internet Explorer
				<input type="checkbox" name="sample[]" value="MSIE" <?php echo($selected[4]); ?>></p>
				<input type="submit" name="activateSample" value="Save Changes"><br/>
			</form>
		</div>
		<h1><a href="<?php echo($req_url.'&advanced=1'); ?>"> Click here for Avanced Options</a></h1>
		<?php } ?>
		<?php if(isset($_GET['advanced'])) { ?>
		<div id="advanced">
		<h3>Advanced options (Expert User)</h3>
		<p>Enter here the words that should not be contained in a User Agent!!!</p>
		<p>Example:</p>
		<p>If you insert <strong>"mac,iphone,ipad,ipod,macintosh"</strong> ALL products Apple do not enter!</p>
		<h3>Syntax:</h3>
		<p>word1,word2,word3...</p>
		<form action="" method="post" name="fwords">
			<input type="text" name="words" value="<?php echo($option); ?>"><br/>
			<input type="submit" name="activateAdvanced" value="Save Changes">
		</form>
		</div>
		<?php $req_url_ex = explode("&", $req_url); ?>
		<h1><a href="<?php echo($req_url_ex[0]); ?>"> Click here for Sample Options</a></h1>
		<?php } ?>
		<h3><a href="http://wordpress.org/extend/plugins/bluagent-block-user-agent/">Please rate this plugin!</a></h3>
		<p>For more "User Agent" information visit: </p>
		<ul>
			<li><a href="http://whatsmyuseragent.com/">http://whatsmyuseragent.com/</a></li>
			<li><a href="http://www.useragentstring.com/">http://www.useragentstring.com/</a></li>
		</ul>
		<p><strong><?php echo($blocked); ?> users have been blocked!</strong></p>
<?php } ?>
